Part3 Developers

Document activity list

GET /organization/{orgId}/project/{projectId}/document/{documentId}/activity

List document activity history

GET
/organization/{orgId}/project/{projectId}/document/{documentId}/activity
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Organization ID — must match the project's org.

projectId*string

Project ID — must contain the document.

documentId*string

Document ID. Returned in the uid field of any document list response (NOT the human-readable id like "RFI-014").

Query Parameters

cursor?string

Cursor from a prior nextCursor. Omit on the first page.

limit?string

Page size, 1–50 (default 20).

Response Body

application/json

application/json

application/json

curl -X GET "https://api.part3.io/v1/organization/org_8a1b2c3d4e/project/proj_5f9a3c2e8b/document/doc_2a3b4c5d6e/activity"
{
  "data": [
    {
      "uid": "act_12a34b5c6d",
      "documentId": "doc_2a3b4c5d6e",
      "actor": {
        "uid": "user_99a8b7c6d5",
        "name": "Anika Patel",
        "email": "anika@example.com"
      },
      "action": "status_changed",
      "title": "Status changed from pending to with-consultants",
      "createdAt": "2026-04-22T09:14:00Z"
    },
    {
      "uid": "act_98f76e5d4c",
      "documentId": "doc_2a3b4c5d6e",
      "actor": {
        "uid": "user_99a8b7c6d5",
        "name": "Anika Patel",
        "email": "anika@example.com"
      },
      "action": "comment_added",
      "title": "Comment added",
      "createdAt": "2026-04-21T17:22:00Z"
    }
  ],
  "nextCursor": null,
  "hasMore": false
}
{
  "error": "Insufficient permissions"
}
{
  "error": "Insufficient permissions"
}